Permalink
Browse files

lots of fixes and better readme

  • Loading branch information...
1 parent 9b2be5f commit d0f3e387a9e594cc14dba091decfd99ed9b6acc7 @kristianmandrup committed Sep 3, 2012
Showing with 4,049 additions and 4,339 deletions.
  1. +53 −5 README.md
  2. +1 −1 VERSION
  3. +75 −0 jquery-ui-bootstrap-rails.gemspec
  4. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_flat_0_aaaaaa_40x100.png
  5. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_glass_55_fbf9ee_1x400.png
  6. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_glass_65_ffffff_1x400.png
  7. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_glass_75_dadada_1x400.png
  8. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_glass_75_e6e6e6_1x400.png
  9. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_glass_75_ffffff_1x400.png
  10. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_highlight-soft_75_cccccc_1x100.png
  11. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-bg_inset-soft_95_fef1ec_1x100.png
  12. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-icons_222222_256x240.png
  13. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-icons_2e83ff_256x240.png
  14. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-icons_454545_256x240.png
  15. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-icons_888888_256x240.png
  16. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-icons_cd0a0a_256x240.png
  17. BIN vendor/assets/images/ui-bootstrap/custom-theme/ui-icons_f6cf3b_256x240.png
  18. 0 ...r/assets/javascripts/ui-date_range_picker/{daterangepicker.jQuery.js → jquery.daterangepicker.js}
  19. 0 ...ripts/ui-date_range_picker/{daterangepicker.jQuery.compressed.js → jquery.daterangepicker.min.js}
  20. 0 vendor/assets/javascripts/ui-file_input/{fileinput.jquery.js → jquery.fileinput.js}
  21. +0 −30 vendor/assets/javascripts/wijmo/jquery.wijmo-open.1.5.0.min.js
  22. +93 −0 vendor/assets/javascripts/wijmo/jquery.wijmo-open.all.min.js
  23. +0 −117 vendor/assets/stylesheets/ui-bootstrap/basic.css
  24. +0 −26 vendor/assets/stylesheets/ui-bootstrap/bootstrap.less
  25. +0 −479 vendor/assets/stylesheets/ui-bootstrap/forms.less
  26. +1,821 −0 vendor/assets/stylesheets/ui-bootstrap/jquery-ui-bootstrap.css
  27. +0 −222 vendor/assets/stylesheets/ui-bootstrap/mixins.less
  28. +0 −1,065 vendor/assets/stylesheets/ui-bootstrap/patterns.less
  29. +0 −142 vendor/assets/stylesheets/ui-bootstrap/reset.less
  30. +0 −139 vendor/assets/stylesheets/ui-bootstrap/scaffolding.less
  31. +0 −224 vendor/assets/stylesheets/ui-bootstrap/tables.less
  32. +0 −187 vendor/assets/stylesheets/ui-bootstrap/type.less
  33. +165 −0 vendor/assets/stylesheets/ui-bootstrap/ui-wijmo.css
  34. +0 −60 vendor/assets/stylesheets/ui-bootstrap/variables.less
  35. 0 vendor/assets/stylesheets/ui-file_input/{enhanced.css → enhance.css}
  36. +1,841 −1,642 ...s/{javascripts/wijmo/jquery.wijmo-open.1.5.0.css → stylesheets/wijmo/jquery.wijmo-open.2.2.0.css}
View
@@ -6,14 +6,62 @@ See [jquery-ui-bootstrap](https://github.com/addyosmani/jquery-ui-bootstrap)
`gem 'jquery-ui-bootstrap-rails'`
-## See in the `vendor/assets` folder.
+## Assets
-Note: Currently some of the assets are not linked correctly. This gem needs to be updated when the "mother project" supports Bootstrap 2.1.
+Include the main CSS into the application stylesheet manifest:
-At that time I will try to make sure all assets are linked correctly and work.
-They say they plan to use LESS, and I will then convert the LESS to SCSS using a bash script. Then it will be easy to use with Compass :)
+```
+ *= require ui-bootstrap/jquery-ui-bootstrap
+```
-Cheers!
+This file is linked with the correct `/assets/` path to the custom ui images theme that is included (see `assets/images/ui-bootstrap/custom-theme`)
+
+## UI Wijmo
+
+In application stylesheet manifest:
+
+```
+ *= require ui-bootstrap/ui-wijmo
+```
+
+In application js manifest:
+
+```
+ //= require wijmo/jquery.wijmo-open.all.min
+```
+
+## Extras
+
+*Date range picker*
+
+In application stylesheet manifest:
+
+```
+ *= require ui-date_range_picker/date
+ *= require ui-date_range_picker/jquery.daterangepicker.min
+```
+
+In application js manifest:
+
+```
+ //= require ui-file_input/enhance.min
+ //= require ui-file_input/jquery.fileinput
+```
+
+*File input*
+
+In application stylesheet manifest:
+
+```
+ *= require ui-file_input/enhance
+```
+
+In application js manifest:
+
+```
+ //= require ui-file_input/enhance.min
+ //= require ui-file_input/fileinput.jquery
+```
## Important
View
@@ -1 +1 @@
-0.0.0
+0.1.0
@@ -0,0 +1,75 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = "jquery-ui-bootstrap-rails"
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Kristian Mandrup"]
+ s.date = "2012-09-03"
+ s.description = "Use jQuery UI with Twitter Bootstrap in your Rails app :)"
+ s.email = "kmandrup@gmail.com"
+ s.extra_rdoc_files = [
+ "LICENSE.txt",
+ "README.md"
+ ]
+ s.files = [
+ ".document",
+ ".rspec",
+ "Gemfile",
+ "Gemfile.lock",
+ "LICENSE.txt",
+ "README.md",
+ "Rakefile",
+ "VERSION",
+ "lib/jquery-ui-bootstrap-rails.rb",
+ "spec/index.html",
+ "spec/spec_helper.rb",
+ "vendor/assets/images/ui-file_input/icon-generic.gif",
+ "vendor/assets/images/ui-file_input/icon-image.gif",
+ "vendor/assets/images/ui-file_input/icon-media.gif",
+ "vendor/assets/images/ui-file_input/icon-zip.gif",
+ "vendor/assets/javascripts/ui-bootstrap/demo.js",
+ "vendor/assets/javascripts/ui-date_range_picker/date.js",
+ "vendor/assets/javascripts/ui-file_input/enhance.min.js",
+ "vendor/assets/javascripts/wijmo/jquery.bgiframe-2.1.3-pre.js",
+ "vendor/assets/javascripts/wijmo/jquery.mousewheel.min.js",
+ "vendor/assets/stylesheets/ui-date_range_picker/ui.daterangepicker.css"
+ ]
+ s.homepage = "http://github.com/kristianmandrup/jquery-ui-bootstrap-rails"
+ s.licenses = ["MIT"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = "1.8.24"
+ s.summary = "jQuery UI Bootstrap for Rails asset pipeline"
+
+ if s.respond_to? :specification_version then
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<rails>, [">= 0"])
+ s.add_development_dependency(%q<rspec>, [">= 2.8.0"])
+ s.add_development_dependency(%q<rdoc>, [">= 3.12"])
+ s.add_development_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_development_dependency(%q<jeweler>, [">= 1.8.3"])
+ s.add_development_dependency(%q<simplecov>, [">= 0.5"])
+ else
+ s.add_dependency(%q<rails>, [">= 0"])
+ s.add_dependency(%q<rspec>, [">= 2.8.0"])
+ s.add_dependency(%q<rdoc>, [">= 3.12"])
+ s.add_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_dependency(%q<jeweler>, [">= 1.8.3"])
+ s.add_dependency(%q<simplecov>, [">= 0.5"])
+ end
+ else
+ s.add_dependency(%q<rails>, [">= 0"])
+ s.add_dependency(%q<rspec>, [">= 2.8.0"])
+ s.add_dependency(%q<rdoc>, [">= 3.12"])
+ s.add_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_dependency(%q<jeweler>, [">= 1.8.3"])
+ s.add_dependency(%q<simplecov>, [">= 0.5"])
+ end
+end
+
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.

Large diffs are not rendered by default.

Oops, something went wrong.

Large diffs are not rendered by default.

Oops, something went wrong.
@@ -1,117 +0,0 @@
-/*!
- * jQuery UI Bootstrap (0.22)
- * http://addyosmani.github.com/jquery-ui-bootstrap
- *
- * Copyright 2012, Addy Osmani
- * Dual licensed under the MIT or GPL Version 2 licenses.
- *
- * Portions copyright jQuery UI & Twitter Bootstrap
- */
-
-
-.demoHeaders {
- margin-top: 1.5em;
- margin-bottom: 1em;
-}
-
-#dialog_link,#modal_link {
- padding: .4em 1em .4em 20px;
- text-decoration: none;
- position: relative;
-}
-
-#dialog_link span.ui-icon, #modal_link span.ui-icon {
- margin: 0 5px 0 0;
- position: absolute;
- left: .2em;
- top: 50%;
- margin-top: -8px;
-}
-
-ul#icons {
- margin: 0;
- padding: 0;
-}
-
-ul#icons li {
- margin: 2px;
- position: relative;
- padding: 4px 0;
- cursor: pointer;
- float: left;
- list-style: none;
-}
-
-ul#icons span.ui-icon {
- float: left;
- margin: 0 4px;
-}
-
-#buttons button {
- float: left;
- margin-right: 4px;
-}
-
-#components {
- margin: 2em 0 1em;
- width: 900px;
- margin: 0 auto;
- padding: 50px;
-}
-
-#dialog2 label, #dialog2 input {
- display: block;
-}
-
-#dialog2 label {
- margin-top: 0.5em;
-}
-
-#dialog2 input, #dialog2 textarea {
- width: 95%;
-}
-
-#tabs2 {
- margin-top: 1em;
-}
-
-#tabs2 li .ui-icon-close {
- float: left;
- margin: 0.4em 0.2em 0 0;
- cursor: pointer;
-}
-
-#add_tab {
- cursor: pointer;
-}
-
-.span10 {
- width: 500px;
- margin-right: 10px;
-}
-
-.span4 {
- width: 290px;
-}
-
-.ui-widget-overlay {
- width: 500px;
-}
-
-.alert-message p{
- line-height:18px;
- margin-bottom:18px;
-}
-
-#toolbar {
-padding: 10px 4px;
-}
-
-input[type="text"],
-input[type="password"],
-.ui-autocomplete-input,
-textarea,
-.uneditable-input{
- width: 210px;
- height: 18px;
-}
@@ -1,26 +0,0 @@
-/*!
- * Bootstrap @VERSION
- *
- * Copyright 2011 Twitter, Inc
- * Licensed under the Apache License v2.0
- * http://www.apache.org/licenses/LICENSE-2.0
- *
- * Designed and built with all the love in the world @twitter by @mdo and @fat.
- * Date: @DATE
- */
-
-// CSS Reset
-@import "reset";
-
-// Core variables and mixins
-@import "variables"; // Modify this for custom colors, font-sizes, etc
-@import "mixins";
-
-// Grid system and page structure
-@import "scaffolding";
-
-// Styled patterns and elements
-@import "type";
-@import "forms";
-@import "tables";
-@import "patterns";
Oops, something went wrong.

0 comments on commit d0f3e38

Please sign in to comment.